Amazon Linux 2022:(ALAS2022-2022-181)

medium Nessus 插件 ID 167028

简介

远程 Amazon Linux 2022 主机缺少安全更新。

描述

因此,该应用程序受到 ALAS2022-2022-181 公告中提及的漏洞的影响。

- HarfBuzz 2.9.0 的 hb_bit_set_invertible_t: : set 中存在越界写入漏洞(从 hb_sparseset_t<hb_bit_set_invertible_t>: : set 和 hb_set_copy 调用)。(CVE-2021-45931)

请注意,Nessus 尚未测试此问题,而是只依据应用程序自我报告的版本号进行判断。

解决方案

运行“dnf update harfbuzz --releasever=2022.0.20221102”以更新系统。

另见

https://alas.aws.amazon.com/AL2022/ALAS-2022-181.html

https://alas.aws.amazon.com/cve/html/CVE-2021-45931.html

插件详情

严重性: Medium

ID: 167028

文件名: al2022_ALAS2022-2022-181.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2022/11/5

最近更新时间: 2023/10/5

支持的传感器: Frictionless Assessment AWS, Frictionless Assessment Agent, Nessus Agent, Agentless Assessment, Nessus

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 4.3

时间分数: 3.4

矢量: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS 分数来源: CVE-2021-45931

CVSS v3

风险因素: Medium

基本分数: 6.5

时间分数: 5.9

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

时间矢量: CVSS:3.0/E:P/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:amazon:linux:harfbuzz-icu, p-cpe:/a:amazon:linux:harfbuzz-devel-debuginfo, cpe:/o:amazon:linux:2022, p-cpe:/a:amazon:linux:harfbuzz-debuginfo, p-cpe:/a:amazon:linux:harfbuzz-icu-debuginfo, p-cpe:/a:amazon:linux:harfbuzz-devel, p-cpe:/a:amazon:linux:harfbuzz-debugsource, p-cpe:/a:amazon:linux:harfbuzz

必需的 KB 项: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

可利用: true

易利用性: Exploits are available

补丁发布日期: 2022/11/1

漏洞发布日期: 2022/1/1

参考资料信息

CVE: CVE-2021-45931